﻿using Syncfusion.DataSource;
using Syncfusion.ListView.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;

namespace Grouping
{
    public partial class GroupingPage : ContentPage
    {
        #region Constructor

        public GroupingPage()
        {
            InitializeComponent();
            listView.DataSource.SortDescriptors.Add(new SortDescriptor { PropertyName = "ContactName", Direction = ListSortDirection.Ascending });
            listView.DataSource.GroupDescriptors.Add(new GroupDescriptor()
            {
                PropertyName = "ContactName",
                KeySelector = (object obj1) =>
                {
                    var item = (obj1 as Contacts);
                    return item.ContactName[0].ToString();
                },
            });
            //listView.DataSource.GroupDescriptors.Add(new GroupDescriptor()
            //{
            //    PropertyName = "ContactName",
            //    KeySelector = (object obj1) =>
            //    {
            //        var item = (obj1 as Contacts);
            //        return item.ContactName[1].ToString();
            //    },
            //});
            listView.DataSource.GroupDescriptors.Add(new GroupDescriptor()
            {
                PropertyName = "contactNumber",
                KeySelector = (object obj1) =>
                {
                    var item = (obj1 as Contacts);
                    return item.ContactNumber[0].ToString();
                },
            });
        }

        #endregion
    }
}
